Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.planner.core.move.factory
Class CachedMoveFactory

    java.lang.Object
      org.drools.planner.core.move.factory.AbstractMoveFactory
          org.drools.planner.core.move.factory.CachedMoveFactory

All Implemented Interfaces:
  EventListener, DeciderAware, LocalSearchSolverPhaseLifecycleListener, MoveFactory

Direct Known Subclasses:
  GenericChangeMoveFactory, GenericSwapMoveFactory

    public abstract class CachedMoveFactory

extends AbstractMoveFactory

Field Summary
`protected List<Move>` | `cachedMoveList`

Fields inherited from class org.drools.planner.core.move.factory.AbstractMoveFactory
`decider, logger`

Constructor Summary
`CachedMoveFactory()`

Method Summary
`abstract List<Move>` | `createCachedMoveList(Solution solution)`
`List<Move>` | `createMoveList(Solution solution)`
`List<Move>` | `getCachedMoveList()`
`void` | `phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)`

Methods inherited from class org.drools.planner.core.move.factory.AbstractMoveFactory
`beforeDeciding, phaseEnded, setDecider, stepTaken`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### cachedMoveList

    protected List<Move> cachedMoveList

Constructor Detail

### CachedMoveFactory

    public CachedMoveFactory()

Method Detail

### getCachedMoveList

    public List<Move> getCachedMoveList()

### phaseStarted

    public void phaseStarted(LocalSearchSolverPhaseScope localSearchSolverPhaseScope)

  Specified by:
    `phaseStarted` in interface `LocalSearchSolverPhaseLifecycleListener`
  Overrides:
    `phaseStarted` in class `AbstractMoveFactory`

### createCachedMoveList

    public abstract List<Move> createCachedMoveList(Solution solution)

### createMoveList

    public List<Move> createMoveList(Solution solution)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.